CWIS Developer Documentation

- Home
- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ConfigSettingsUI Class Reference

Class supplying a standard user interface for viewing and setting configuration parameters. More...

## Public Member Functions
| __construct ($CfgParams, $CfgValues, $UniqueKey=NULL)
| Class constructor. More...
| DisplaySettingsTable ($TableId=NULL, $TableStyle=NULL)
| Display HTML table with settings parameters. More...
| GetNewSettingsFromForm ()
| Retrieve values set by form. More...
| SetEventToSignalOnChange ($EventName, $EventParams=array())
| Set event to signal when retrieving values from form when settings have changed. More...

## Detailed Description

Class supplying a standard user interface for viewing and setting configuration parameters.

Definition at line 14 of file ConfigSettingsUI.php.

## Constructor & Destructor Documentation

ConfigSettingsUI::__construct | ( |  | $CfgParams,
|  |  | $CfgValues,
|  |  | $UniqueKey = `NULL`
| ) |  |

Class constructor.

Parameters

  array | $CfgParams | Array of arrays of configuration setting parameters.
  array | $CfgValues | Associative array of current values for configuration settings, with setting names for the index.
  string | $UniqueKey | Unique string to include in form field names to distinguish them from other fields in the form. (OPTIONAL)

Definition at line 27 of file ConfigSettingsUI.php.

## Member Function Documentation

ConfigSettingsUI::DisplaySettingsTable | ( |  | $TableId = `NULL`,
|  |  | $TableStyle = `NULL`
| ) |  |

Display HTML table with settings parameters.

Parameters

  string | $TableId | CSS ID for table element. (OPTIONAL)
  string | $TableStyle | CSS styles for table element. (OPTIONAL)

Definition at line 39 of file ConfigSettingsUI.php.

References PHP.

ConfigSettingsUI::GetNewSettingsFromForm | ( |  | ) |

Retrieve values set by form.

Returns
  array Array of configuration settings, with setting names for the index, and new setting values for the values.

Definition at line 109 of file ConfigSettingsUI.php.

ConfigSettingsUI::SetEventToSignalOnChange | ( |  | $EventName,
|  |  | $EventParams = `array()`
| ) |  |

Set event to signal when retrieving values from form when settings have changed.

If the supplied event parameters include parameter names (indexes) of "SettingName", "OldValue", or "NewValue", the parameter value will be replaced with an appropriate value before the event is signaled.

Parameters

  string | $EventName | Name of event to signal.
  array | $EventParams | Array of event parameters, with CamelCase parameter names for index. (OPTIONAL)

See also
  ConfigSettingsUI::GetNewsettingsFromForm()

Definition at line 237 of file ConfigSettingsUI.php.

The documentation for this class was generated from the following file:

- objects/ConfigSettingsUI.php